PETSc version 3.15.5
Fix/Edit manual page

# DMConvert

Converts a DM to another DM, either of the same or different type.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMConvert(DM dm, DMType newtype, DM *M)

Collective on dm

### Input Parameters

| dm | - the DM
| newtype | - new DM type (use "same" for the same type)

### Output Parameter

| M | - pointer to new DM

### Notes

Cannot be used to convert a sequential DM to parallel or parallel to sequential, the MPI communicator of the generated DM is always the same as the communicator of the input DM.

### See Also

DMCreate()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/dm/impls/forest/tutorials/ex1.c.html
src/snes/tutorials/ex12.c.html
src/snes/tutorials/ex17.c.html
src/snes/tutorials/ex56.c.html
src/ts/tutorials/ex11.c.html
src/ts/tutorials/ex45.c.html
src/ts/tutorials/ex46.c.html
src/ts/tutorials/ex48.c.html
src/ts/utils/dmplexlandau/tutorials/ex2.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages